API ReferenceapicommunityGET /v1/admin/reports

GET /v1/admin/reports

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • status (string) —

Responses

200 Moderation report queue

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "reporter_id": {
            "type": "string"
          },
          "target_type": {
            "type": "string"
          },
          "target_id": {
            "type": "string"
          },
          "subject_user_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "reason": {
            "type": "string"
          },
          "notes": {
            "type": [
              "string",
              "null"
            ]
          },
          "resolution": {
            "type": [
              "string",
              "null"
            ],
            "enum": [
              "dismissed",
              "removed",
              "warn",
              "suspend",
              "ban"
            ]
          },
          "resolved_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "resolved_by_user_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "reporter_id",
          "target_type",
          "target_id",
          "subject_user_id",
          "reason",
          "notes",
          "resolution",
          "resolved_at",
          "resolved_by_user_id",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/admin/reports \
  -H "Authorization: Bearer $ACCESS_TOKEN"